### Method

# GdkX11 X11Displayget_egl_display

since: 4.4

#### Declaration [src]

    gpointer
    gdk_x11_display_get_egl_display (
      GdkDisplay* display
    )

#### Description [src]

Retrieves the EGL display connection object for the given GDK display.

This function returns `NULL` if GDK is using GLX.

Available since: 4.4

#### Return value

Type: `gpointer`

The EGL display object.

The data is owned by the instance.
The return value can be `NULL`.